Subject: Re: bug#73671: 30.0.60; Make window-tool-bar-mode not show modifier-bar-mode

From: Po Lu <[email-masked]>
Date: Tue, 08 Oct 2024 08:01:36 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Anush V <[email-masked]>
>> Date: Sun, 06 Oct 2024 16:06:03 -0400
>> 
>> I just discovered the 'global-window-tool-bar-mode'. This allows us to
>> have a frame-wide 'tool-bar-mode' and buffer-specific tool bars.
>> 
>> This is nice, except when combined with 'modifier-bar-mode', in that scenario,
>> the modifier bar is shown on all windows along with frame-wide toolbar.  Is
>> there a way to make the modifier-bar appear only in the frame-wide toolbar?
>
> The doc string says modifier-bar-mode is a global minor mode, so I
> guess not.  Po Lu, any suggestions?

I'm reasonably certain that this is simply a bug, since I never intended
that the modifier bar should be displayed in tool bars created by
global-window-tool-bar-mode.